%Davide Gironi, 2013
%http://davidegironi.blogspot.it/
%
%this script helps to fit data from the DSM501 sensor
%"low ratio vs. particle mg/m^3" to a function

%set data
fitDataX = [ 0.6, 2.4, 4.2, 6.2, 7.8, 9.2, 10.8, 12.2]';
fitDataY = [   0, 0.2, 0.4, 0.6, 0.8, 1.0,  1.2,  1.4]';

%plot data
plot(fitDataX, fitDataY, 'o');
grid on;

%fit data
[population, gof] = fit(fitDataX, fitDataY, 'poly2');

%plot fitted data
plot(population, fitDataX, fitDataY);

%examine gof
gof

%examine population
population
