%Davide Gironi, 2013
%http://davidegironi.blogspot.it/
%
%this script helps to fit data from the DSM501 sensor
%"low ratio vs. particle (pcs/mg/m?)" to a function

%set data
fitDataX = [0,    2,  4.1,  8.1, 12.2,  16.3,  20.3,  24.4]';
fitDataY = [0, 1250, 2500, 5000, 7500, 10000, 12500, 15000]';

%plot data
plot(fitDataX, fitDataY, 'o');
grid on;

%fit data
[population, gof] = fit(fitDataX, fitDataY, 'poly2');

%plot fitted data
plot(population, fitDataX, fitDataY);

%examine gof
gof

%examine population
population
